import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DeregisterNotificationHubRequest,
  DeregisterNotificationHubResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface DeregisterNotificationHubCommandInput
  extends DeregisterNotificationHubRequest {}
export interface DeregisterNotificationHubCommandOutput
  extends DeregisterNotificationHubResponse,
    __MetadataBearer {}
declare const DeregisterNotificationHubCommand_base: {
  new (
    input: DeregisterNotificationHubCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeregisterNotificationHubCommandInput,
    DeregisterNotificationHubCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeregisterNotificationHubCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeregisterNotificationHubCommandInput,
    DeregisterNotificationHubCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeregisterNotificationHubCommand extends DeregisterNotificationHubCommand_base {
  protected static __types: {
    api: {
      input: DeregisterNotificationHubRequest;
      output: DeregisterNotificationHubResponse;
    };
    sdk: {
      input: DeregisterNotificationHubCommandInput;
      output: DeregisterNotificationHubCommandOutput;
    };
  };
}
