import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListNotificationConfigurationsRequest,
  ListNotificationConfigurationsResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface ListNotificationConfigurationsCommandInput
  extends ListNotificationConfigurationsRequest {}
export interface ListNotificationConfigurationsCommandOutput
  extends ListNotificationConfigurationsResponse,
    __MetadataBearer {}
declare const ListNotificationConfigurationsCommand_base: {
  new (
    input: ListNotificationConfigurationsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListNotificationConfigurationsCommandInput,
    ListNotificationConfigurationsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListNotificationConfigurationsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListNotificationConfigurationsCommandInput,
    ListNotificationConfigurationsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListNotificationConfigurationsCommand extends ListNotificationConfigurationsCommand_base {
  protected static __types: {
    api: {
      input: ListNotificationConfigurationsRequest;
      output: ListNotificationConfigurationsResponse;
    };
    sdk: {
      input: ListNotificationConfigurationsCommandInput;
      output: ListNotificationConfigurationsCommandOutput;
    };
  };
}
