import { createAggregatedClient } from "@smithy/smithy-client";
import { AssociateChannelCommand, } from "./commands/AssociateChannelCommand";
import { CreateEventRuleCommand, } from "./commands/CreateEventRuleCommand";
import { CreateNotificationConfigurationCommand, } from "./commands/CreateNotificationConfigurationCommand";
import { DeleteEventRuleCommand, } from "./commands/DeleteEventRuleCommand";
import { DeleteNotificationConfigurationCommand, } from "./commands/DeleteNotificationConfigurationCommand";
import { DeregisterNotificationHubCommand, } from "./commands/DeregisterNotificationHubCommand";
import { DisassociateChannelCommand, } from "./commands/DisassociateChannelCommand";
import { GetEventRuleCommand, } from "./commands/GetEventRuleCommand";
import { GetNotificationConfigurationCommand, } from "./commands/GetNotificationConfigurationCommand";
import { GetNotificationEventCommand, } from "./commands/GetNotificationEventCommand";
import { ListChannelsCommand, } from "./commands/ListChannelsCommand";
import { ListEventRulesCommand, } from "./commands/ListEventRulesCommand";
import { ListNotificationConfigurationsCommand, } from "./commands/ListNotificationConfigurationsCommand";
import { ListNotificationEventsCommand, } from "./commands/ListNotificationEventsCommand";
import { ListNotificationHubsCommand, } from "./commands/ListNotificationHubsCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { RegisterNotificationHubCommand, } from "./commands/RegisterNotificationHubCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateEventRuleCommand, } from "./commands/UpdateEventRuleCommand";
import { UpdateNotificationConfigurationCommand, } from "./commands/UpdateNotificationConfigurationCommand";
import { NotificationsClient } from "./NotificationsClient";
const commands = {
    AssociateChannelCommand,
    CreateEventRuleCommand,
    CreateNotificationConfigurationCommand,
    DeleteEventRuleCommand,
    DeleteNotificationConfigurationCommand,
    DeregisterNotificationHubCommand,
    DisassociateChannelCommand,
    GetEventRuleCommand,
    GetNotificationConfigurationCommand,
    GetNotificationEventCommand,
    ListChannelsCommand,
    ListEventRulesCommand,
    ListNotificationConfigurationsCommand,
    ListNotificationEventsCommand,
    ListNotificationHubsCommand,
    ListTagsForResourceCommand,
    RegisterNotificationHubCommand,
    TagResourceCommand,
    UntagResourceCommand,
    UpdateEventRuleCommand,
    UpdateNotificationConfigurationCommand,
};
export class Notifications extends NotificationsClient {
}
createAggregatedClient(commands, Notifications);
