import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CreateEventRuleRequest,
  CreateEventRuleResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface CreateEventRuleCommandInput extends CreateEventRuleRequest {}
export interface CreateEventRuleCommandOutput
  extends CreateEventRuleResponse,
    __MetadataBearer {}
declare const CreateEventRuleCommand_base: {
  new (
    input: CreateEventRuleCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateEventRuleCommandInput,
    CreateEventRuleCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateEventRuleCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateEventRuleCommandInput,
    CreateEventRuleCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateEventRuleCommand extends CreateEventRuleCommand_base {
  protected static __types: {
    api: {
      input: CreateEventRuleRequest;
      output: CreateEventRuleResponse;
    };
    sdk: {
      input: CreateEventRuleCommandInput;
      output: CreateEventRuleCommandOutput;
    };
  };
}
